Last Comment Bug 655216 - "Error: We don't want these libstdc++ symbols to be used" with some optimization levels
: "Error: We don't want these libstdc++ symbols to be used" with some optimizat...
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: mozilla7
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: 643690
  Show dependency treegraph
 
Reported: 2011-05-06 01:02 PDT by Mike Hommey [:glandium]
Modified: 2011-08-26 06:23 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Avoid GLIBCXX_3.4.14 symbol versions at some optimization levels (2.25 KB, patch)
2011-05-06 01:19 PDT, Mike Hommey [:glandium]
taras.mozilla: review+
Details | Diff | Review
Avoid GLIBCXX_3.4.14 symbol versions at some optimization levels. (2.63 KB, patch)
2011-06-14 19:57 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review

Description Mike Hommey [:glandium] 2011-05-06 01:02:38 PDT
See e.g.
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1304659221.1304663419.6828.gz

Apparently, the trigger is -Os + PGO.

Removing the #ifdef MOZ_DEBUG in stdcxx-compat.cpp should be enough.
Comment 1 Mike Hommey [:glandium] 2011-05-06 01:19:53 PDT
Created attachment 530566 [details] [diff] [review]
Avoid GLIBCXX_3.4.14 symbol versions at some optimization levels
Comment 2 (dormant account) 2011-06-13 14:20:43 PDT
Comment on attachment 530566 [details] [diff] [review]
Avoid GLIBCXX_3.4.14 symbol versions at some optimization levels

rubberstamp
Comment 3 Mike Hommey [:glandium] 2011-06-14 19:57:58 PDT
Created attachment 539409 [details] [diff] [review]
Avoid GLIBCXX_3.4.14 symbol versions at some optimization levels.

Refreshed for current trunk
Comment 4 Mike Hommey [:glandium] 2011-06-14 20:22:16 PDT
http://hg.mozilla.org/mozilla-central/rev/e300498f8079
Comment 5 Simona B [:simonab] 2011-08-26 06:23:45 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0) Gecko/20100101 Firefox/7.0

I visually inspected the code changes. Marking as VERIFIED FIXED as per bug 659997 - Comment 7.

Note You need to log in before you can comment on or make changes to this bug.